NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Die.DrawBeadBuilder Class Reference

Represents a builder that is used to create or edit a NXOpen.Die.DrawBead feature. More...

Inheritance diagram for NXOpen.Die.DrawBeadBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  FemaleDepthTypes { Derived, Constant }
 Specifies how the female depth is calculated or defined. More...
 
enum  FemaleWidthTypes { Derived, Constant }
 Specifies how the feamle width is calcualted or defined. More...
 
enum  MaleBeadPositionTypes { Upper, Lower }
 Identifes which casting the male bead is created in. More...
 
enum  OrientationTypes { Orthogonal, Vertical }
 Identifies the orientation of the base parameters to the sheet metal. More...
 
enum  OrientSectionToDrawTypes { DrawDirection, SheetMetalNormal }
 Specifies if the segment height section parameter should be oriented to the draw direction or the sheet metal normal at the section location. More...
 
enum  OutputTypes { None, Male, PlusFemale, PlusSheetMetal }
 Specifies what type of output is desired for the feature creation. More...
 
enum  ProjectionDirectionTypes { DrawDirection, NormalToPlacementFace }
 Identifes how the centerline should be projected to the placement face during processing. More...
 
enum  TransitionDefinitionTypes { Automatic, Manual }
 Specifies how the transition area should be determined from segment to segment within a single bead. More...
 

Public Member Functions

unsafe
NXOpen.Die.DrawBeadSegmentBuilder 
CreateDrawBeadSegment ()
 Creates a NXOpen.Die.DrawBeadSegmentBuilder builder. More...
 
unsafe void CreateSegmentsFromCenterlineCurves ()
 For each curve of the centerline, create a bead segment. More...
 
unsafe string[] GetMoreDetails ()
 Get the detailed description strings of the draw bead. More...
 
unsafe void SetDefaultDrawDirection ()
 Set the default draw direction to the -Z direction of the work coordinate system. More...
 
unsafe void SetMoreDetails (string[] strings)
 Set the detailed description strings of the draw bead. More...
 
- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe double AngleTolerance [get, set]
 Returns or sets the angle tolerance. More...
 
unsafe
NXOpen.Die.DrawBeadBuilder.OrientationTypes 
BaseOrientation [get, set]
 Returns or sets the orientation used to construct the sections representing the bead shape. More...
 
unsafe bool BuildEndTaper [get, set]
 Returns or sets the indication if the taper at the end of the bead should be built. More...
 
unsafe bool BuildStartTaper [get, set]
 Returns or sets the indication if the taper at the start of the bead should be built. More...
 
unsafe NXOpen.Section Centerline [get]
 Returns the section containing the centerline of the bead. More...
 
unsafe
NXOpen.Die.DrawBeadBuilder.ProjectionDirectionTypes 
CenterlineProjection [get, set]
 Returns or sets the projection method to apply to the centerline to place it on the sewn faces. More...
 
unsafe NXOpen.Expression Clearance [get]
 Returns the expression containing the clearance value between the male and female bead sheets. More...
 
unsafe double DistanceTolerance [get, set]
 Returns or sets the distance tolerance. More...
 
unsafe
NXOpen.Die.DieDirectionBuilder 
DrawDirection [get]
 Returns the draw direction. More...
 
unsafe
NXOpen.Die.DieLocationBuilder 
EndPoint [get]
 Returns the point location defining the end of the centerline. More...
 
unsafe
NXOpen.Die.DrawBeadTaperBuilder 
EndTaper [get]
 Returns the taper definition at the end of the bead. More...
 
unsafe
NXOpen.Die.DrawBeadBuilder.FemaleDepthTypes 
FemaleDepthType [get, set]
 Returns or sets the method used to calculate the female depth. More...
 
unsafe NXOpen.Expression FemaleDepthValue [get]
 Returns the expression containing the female depth value. More...
 
unsafe
NXOpen.Die.DieAttributesBuilder 
FemaleFaceAttribute [get]
 Returns the attribute definition to be applied to the faces of the female bead sheet body. More...
 
unsafe
NXOpen.Die.DieAttributesBuilder 
FemaleSheetAttribute [get]
 Returns the attribute definition to be applied to the female bead sheet body. More...
 
unsafe
NXOpen.Die.DrawBeadBuilder.FemaleWidthTypes 
FemaleWidthType [get, set]
 Returns or sets the method used to calculate the female width. More...
 
unsafe NXOpen.Expression FemaleWidthValue [get]
 Returns the expression containing the female width value. More...
 
unsafe bool GenerateHeightCurve [get, set]
 Returns or sets the indication if the height curve should be generated. More...
 
unsafe bool MachineOffset [get, set]
 Returns or sets the indication if the male and female output bodies are to be built with machining. More...
 
unsafe
NXOpen.Die.DieAttributesBuilder 
MachiningOffsetTitleAttribute [get]
 Returns the title of the real attribute to be applied to the male and female bodies. More...
 
unsafe
NXOpen.Die.DrawBeadBuilder.MaleBeadPositionTypes 
MaleBeadPosition [get, set]
 Returns or sets the casting in which to create the male bead. More...
 
unsafe
NXOpen.Die.DieAttributesBuilder 
MaleFaceAttribute [get]
 Returns the attribute definition to be applied to the faces of the male bead sheet body. More...
 
unsafe
NXOpen.Die.DieAttributesBuilder 
MaleSheetAttribute [get]
 Returns the attribute definition to be applied to the male bead sheet body. More...
 
unsafe NXOpen.Expression MetalThickness [get]
 Returns the expression containing the sheet metal thickness value. More...
 
unsafe
NXOpen.Die.DrawBeadBuilder.OrientSectionToDrawTypes 
OrientSectionToDraw [get, set]
 Returns or sets the method used to orient the section dimensions. More...
 
unsafe
NXOpen.Die.DrawBeadBuilder.OutputTypes 
Output [get, set]
 Returns or sets the output to be constructed by the draw bead feature. More...
 
unsafe NXOpen.ScCollector PlacementFace [get]
 Returns the collector containing faces (which will sew together) that identifies the surface shape the bead is attached too. More...
 
unsafe bool ReferenceDirection [get, set]
 Returns or sets the indication if the "Left" direction for section orientation should be reversed from the default direction. More...
 
unsafe bool ReverseMetalThickness [get, set]
 Returns or sets the indication if the thickness of the sheet metal should be the same as the sewn face normals. More...
 
unsafe
NXOpen.Die.DrawBeadSegmentBuilderList 
SegmentList [get]
 Returns the list of NXOpen.Die.DrawBeadSegmentBuilder defining the bead sections along the centerline. More...
 
unsafe
NXOpen.Die.DieAttributesBuilder 
SheetMetalFaceAttribute [get]
 Returns the attribute definition to be applied to the faces of the sheet metal sheet body. More...
 
unsafe
NXOpen.Die.DieAttributesBuilder 
SheetMetalSheetAttribute [get]
 Returns the attribute definition to be applied to the sheet metal sheet body. More...
 
unsafe
NXOpen.Die.DieLocationBuilder 
StartPoint [get]
 Returns the point location defining the start of the centerline. More...
 
unsafe
NXOpen.Die.DrawBeadTaperBuilder 
StartTaper [get]
 Returns the taper definition at the start of the bead. More...
 
unsafe bool TaperBead [get, set]
 Returns or sets the indication if the bead should allow taper to be added to the side walls. More...
 
unsafe
NXOpen.Die.DrawBeadBuilder.TransitionDefinitionTypes 
TransitionDefinition [get, set]
 Returns or sets the method used to build the transition between segments. More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a builder that is used to create or edit a NXOpen.Die.DrawBead feature.

To create a new instance of this class, use NXOpen.Die.DieCollection.CreateDrawBeadBuilder

Default values.

Property Value

BaseOrientation

Vertical

BuildEndTaper

1

BuildStartTaper

1

CenterlineProjection

DrawDirection

Clearance.Value

0.2 (millimeters part), 0.008 (inches part)

EndPoint.InputType

SelectLocation

EndTaper.TaperRadius.Value

90 (millimeters part), 3.8 (inches part)

EndTaper.TaperType

Spherical

EndTaper.TaperWashoutHeight.Value

10 (millimeters part), 0.4 (inches part)

EndTaper.TaperWashoutLength.Value

50 (millimeters part), 2 (inches part)

FemaleDepthType

Derived

FemaleDepthValue.Value

11 (millimeters part), 0.43 (inches part)

FemaleWidthType

Derived

FemaleWidthValue.Value

12.4 (millimeters part), 0.488 (inches part)

GenerateHeightCurve

0

MachineOffset

0

MaleBeadPosition

Upper

MetalThickness.Value

1 (millimeters part), 0.04 (inches part)

OrientSectionToDraw

DrawDirection

Output

Male

TaperBead

0

TransitionDefinition

Automatic

Created in NX7.5.0

Member Enumeration Documentation

Specifies how the female depth is calculated or defined.

Enumerator
Derived 

The female depth is derived from the male bead (Max Male Depth + Constant).

Constant 

The female depth is a user specified constant.

Specifies how the feamle width is calcualted or defined.

Enumerator
Derived 

The female width is derived from the male (Male Width + 2(Sheet Metal Thickness + Clearance)).

Constant 

The female width is a user specified constant.

Identifes which casting the male bead is created in.

Enumerator
Upper 

Attach the male bead to the upper die casting.

Lower 

Attach the male bead to the lower die casting.

Identifies the orientation of the base parameters to the sheet metal.

Enumerator
Orthogonal 

The width and angle parameters are orthogonal, or normal, to the sheet metal normal at the section location.

Vertical 

The width and angle parameters are oriented along the draw direction at the section location.

Specifies if the segment height section parameter should be oriented to the draw direction or the sheet metal normal at the section location.

Enumerator
DrawDirection 

Orient height parameter to the draw direction.

SheetMetalNormal 

Orient height parameter to the sheet metal normal at the section location.

Specifies what type of output is desired for the feature creation.

Enumerator
None 

Creates a small sphere on the centerline.

Male 

Creates the male bead only.

PlusFemale 

Creates the male and female bead.

PlusSheetMetal 

Creates the male, female and sheet metal bead.

Identifes how the centerline should be projected to the placement face during processing.

Enumerator
DrawDirection 

Project the centerline along the draw direction vector.

NormalToPlacementFace 

Project the centerline along the placement face normal.

Specifies how the transition area should be determined from segment to segment within a single bead.

Enumerator
Automatic 

Shorten the bead segment that has the lowest height.

Manual 

User specified start and end segments so transition areas are fully defined.

Member Function Documentation

unsafe NXOpen.Die.DrawBeadSegmentBuilder NXOpen.Die.DrawBeadBuilder.CreateDrawBeadSegment ( )
inline

Creates a NXOpen.Die.DrawBeadSegmentBuilder builder.

Created in NX7.5.0

License requirements: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Returns
unsafe void NXOpen.Die.DrawBeadBuilder.CreateSegmentsFromCenterlineCurves ( )
inline

For each curve of the centerline, create a bead segment.

Created in NX7.5.0

License requirements: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe string [] NXOpen.Die.DrawBeadBuilder.GetMoreDetails ( )
inline

Get the detailed description strings of the draw bead.

Created in NX7.5.0

License requirements: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Returns
Array of detail strings.
unsafe void NXOpen.Die.DrawBeadBuilder.SetDefaultDrawDirection ( )
inline

Set the default draw direction to the -Z direction of the work coordinate system.

Created in NX7.5.0

License requirements: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe void NXOpen.Die.DrawBeadBuilder.SetMoreDetails ( string[]  strings)
inline

Set the detailed description strings of the draw bead.

Created in NX7.5.0

License requirements: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
stringsArray of detail strings.

Property Documentation

unsafe double NXOpen.Die.DrawBeadBuilder.AngleTolerance
getset

Returns or sets the angle tolerance.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Die.DrawBeadBuilder.OrientationTypes NXOpen.Die.DrawBeadBuilder.BaseOrientation
getset

Returns or sets the orientation used to construct the sections representing the bead shape.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe bool NXOpen.Die.DrawBeadBuilder.BuildEndTaper
getset

Returns or sets the indication if the taper at the end of the bead should be built.

True indicates that the taper at the end of the bead should be created.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe bool NXOpen.Die.DrawBeadBuilder.BuildStartTaper
getset

Returns or sets the indication if the taper at the start of the bead should be built.

True indicates that the taper at the start of the bead should be created.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Section NXOpen.Die.DrawBeadBuilder.Centerline
get

Returns the section containing the centerline of the bead.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Die.DrawBeadBuilder.ProjectionDirectionTypes NXOpen.Die.DrawBeadBuilder.CenterlineProjection
getset

Returns or sets the projection method to apply to the centerline to place it on the sewn faces.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Expression NXOpen.Die.DrawBeadBuilder.Clearance
get

Returns the expression containing the clearance value between the male and female bead sheets.

Created in NX7.5.0

License requirements: None.

unsafe double NXOpen.Die.DrawBeadBuilder.DistanceTolerance
getset

Returns or sets the distance tolerance.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Die.DieDirectionBuilder NXOpen.Die.DrawBeadBuilder.DrawDirection
get

Returns the draw direction.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Die.DieLocationBuilder NXOpen.Die.DrawBeadBuilder.EndPoint
get

Returns the point location defining the end of the centerline.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Die.DrawBeadTaperBuilder NXOpen.Die.DrawBeadBuilder.EndTaper
get

Returns the taper definition at the end of the bead.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Die.DrawBeadBuilder.FemaleDepthTypes NXOpen.Die.DrawBeadBuilder.FemaleDepthType
getset

Returns or sets the method used to calculate the female depth.

Only valid when taper bead is false.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Expression NXOpen.Die.DrawBeadBuilder.FemaleDepthValue
get

Returns the expression containing the female depth value.

Only valid when taper bead is false and type is NXOpen.Die.DrawBeadBuilder.FemaleDepthTypes.Constant .

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Die.DieAttributesBuilder NXOpen.Die.DrawBeadBuilder.FemaleFaceAttribute
get

Returns the attribute definition to be applied to the faces of the female bead sheet body.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Die.DieAttributesBuilder NXOpen.Die.DrawBeadBuilder.FemaleSheetAttribute
get

Returns the attribute definition to be applied to the female bead sheet body.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Die.DrawBeadBuilder.FemaleWidthTypes NXOpen.Die.DrawBeadBuilder.FemaleWidthType
getset

Returns or sets the method used to calculate the female width.

Changing this will affect all segments. Only valid when taper bead is false.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Expression NXOpen.Die.DrawBeadBuilder.FemaleWidthValue
get

Returns the expression containing the female width value.

Only valid when taper bead is false and type is NXOpen.Die.DrawBeadBuilder.FemaleWidthTypes.Constant .

Created in NX7.5.0

License requirements: None.

unsafe bool NXOpen.Die.DrawBeadBuilder.GenerateHeightCurve
getset

Returns or sets the indication if the height curve should be generated.

True if the height curve should be generated and kept.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe bool NXOpen.Die.DrawBeadBuilder.MachineOffset
getset

Returns or sets the indication if the male and female output bodies are to be built with machining.

Only valid when taper bead is true.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Die.DieAttributesBuilder NXOpen.Die.DrawBeadBuilder.MachiningOffsetTitleAttribute
get

Returns the title of the real attribute to be applied to the male and female bodies.

The value of the attribute specifies the machining offset value to be applied. The value is derived during feature construction.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Die.DrawBeadBuilder.MaleBeadPositionTypes NXOpen.Die.DrawBeadBuilder.MaleBeadPosition
getset

Returns or sets the casting in which to create the male bead.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Die.DieAttributesBuilder NXOpen.Die.DrawBeadBuilder.MaleFaceAttribute
get

Returns the attribute definition to be applied to the faces of the male bead sheet body.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Die.DieAttributesBuilder NXOpen.Die.DrawBeadBuilder.MaleSheetAttribute
get

Returns the attribute definition to be applied to the male bead sheet body.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Die.DrawBeadBuilder.MetalThickness
get

Returns the expression containing the sheet metal thickness value.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Die.DrawBeadBuilder.OrientSectionToDrawTypes NXOpen.Die.DrawBeadBuilder.OrientSectionToDraw
getset

Returns or sets the method used to orient the section dimensions.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Die.DrawBeadBuilder.OutputTypes NXOpen.Die.DrawBeadBuilder.Output
getset

Returns or sets the output to be constructed by the draw bead feature.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.ScCollector NXOpen.Die.DrawBeadBuilder.PlacementFace
get

Returns the collector containing faces (which will sew together) that identifies the surface shape the bead is attached too.

Created in NX7.5.0

License requirements: None.

unsafe bool NXOpen.Die.DrawBeadBuilder.ReferenceDirection
getset

Returns or sets the indication if the "Left" direction for section orientation should be reversed from the default direction.

The default direction is determined by the cross of the centerline tangency and the draw direction. True indicates that the default calculation should be reversed.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe bool NXOpen.Die.DrawBeadBuilder.ReverseMetalThickness
getset

Returns or sets the indication if the thickness of the sheet metal should be the same as the sewn face normals.

True indicates that the sheet will be thickened in the same direction as the sewn face normals.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Die.DrawBeadSegmentBuilderList NXOpen.Die.DrawBeadBuilder.SegmentList
get

Returns the list of NXOpen.Die.DrawBeadSegmentBuilder defining the bead sections along the centerline.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Die.DieAttributesBuilder NXOpen.Die.DrawBeadBuilder.SheetMetalFaceAttribute
get

Returns the attribute definition to be applied to the faces of the sheet metal sheet body.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Die.DieAttributesBuilder NXOpen.Die.DrawBeadBuilder.SheetMetalSheetAttribute
get

Returns the attribute definition to be applied to the sheet metal sheet body.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Die.DieLocationBuilder NXOpen.Die.DrawBeadBuilder.StartPoint
get

Returns the point location defining the start of the centerline.

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Die.DrawBeadTaperBuilder NXOpen.Die.DrawBeadBuilder.StartTaper
get

Returns the taper definition at the start of the bead.

Created in NX7.5.0

License requirements: None.

unsafe bool NXOpen.Die.DrawBeadBuilder.TaperBead
getset

Returns or sets the indication if the bead should allow taper to be added to the side walls.

Changing this will affect all segments and may affect the transition definition and output.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Die.DrawBeadBuilder.TransitionDefinitionTypes NXOpen.Die.DrawBeadBuilder.TransitionDefinition
getset

Returns or sets the method used to build the transition between segments.

Changing this will affect all segments.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.